import {axios} from '@/util/axios/request'

const api = {
  getPage: '/holidays/page',
  synchronousVacation: '/holidays/synchronousVacation'
}

export default api

export function getPage(parameter) {
  return axios({
    url: api.getPage,
    method: 'post',
    data: parameter,
    useFullLoading: true
  })
}

export function synchronousVacation(parameter) {
  return axios({
    url: api.synchronousVacation,
    method: 'post',
    data: parameter,
    useFullLoading: true
  })
}